Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040119
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-02-04 13:052019-03-28 14:56
ReportervmromanosView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision018aa4e83090
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040119: Set two new columns in C_Invoice as nullable and do not set a default value

DescriptionIn Create Lines From Refactor introduced in 18Q4, two new columns were added to C_Invoice table: CREATEFROMORDERS and CREATEFROMINOUTS.

They were set as mandatory and default value 'N'.

In versions before PG 11 this configuration adds an important overhead when creating the columns. So to avoid a performance issue in the update process, it would be better to set both columns as nullable and without a default value.

Basically is to revert the changeset: https://code.openbravo.com/erp/devel/pi/rev/7d6426933ab5 [^]
Steps To ReproduceIn a HV table, like c_order, run:
ALTER TABLE c_order add COLUMN test character varying(1) default 'N';
Check it's very slow.

Now run:
ALTER TABLE c_order add COLUMN test2 character varying(1);
It's almost immediate.

TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00401293.0PR19Q1 closedAtulOpenbravo Set two new columns in C_Invoice as nullable and do not set a default value 
depends on backport 00401303.0PR18Q4.2 closedAtulOpenbravo Set two new columns in C_Invoice as nullable and do not set a default value 
depends on backport 00401313.0PR18Q3.5 closedAtulOpenbravo Set two new columns in C_Invoice as nullable and do not set a default value 
depends on defect 0040167 closedAtulOpenbravo API Change - Modify CREATEFROMORDERS, CREATEFROMINOUTS columns configuration in C_Invoice 

-  Notes
(0109723)
hgbot (developer)
2019-02-12 13:31

Repository: erp/devel/pi
Changeset: 018aa4e830903012d8560d5b12dd3288d5c5a994
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Feb 12 01:28:47 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/018aa4e830903012d8560d5b12dd3288d5c5a994 [^]

Fixes Issue 40119:Set two new columns in C_Invoice as nullable and do not
set a default value

** Remove NOT NULL constraint for columns CREATEFROMORDERS, CREATEFROMINOUTS
** Avoid setting DEFAULT value N for above columns.
** Remove check constraint either Y or N for above columns.

---
M src-db/database/model/tables/C_INVOICE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0109735)
Sandrahuguet (developer)
2019-02-12 15:27

code review + testing ok
(0110808)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-04 13:05 vmromanos New Issue
2019-02-04 13:05 vmromanos Assigned To => Triage Finance
2019-02-04 13:05 vmromanos Modules => Core
2019-02-04 13:05 vmromanos Triggers an Emergency Pack => No
2019-02-04 13:06 vmromanos Tag Attached: Performance
2019-02-04 13:08 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-02-04 20:10 AtulOpenbravo Status new => scheduled
2019-02-06 18:14 AtulOpenbravo Relationship added depends on 0040167
2019-02-12 13:31 hgbot Checkin
2019-02-12 13:31 hgbot Note Added: 0109723
2019-02-12 13:31 hgbot Status scheduled => resolved
2019-02-12 13:31 hgbot Resolution open => fixed
2019-02-12 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/018aa4e830903012d8560d5b12dd3288d5c5a994 [^]
2019-02-12 15:27 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-12 15:27 Sandrahuguet Note Added: 0109735
2019-02-12 15:27 Sandrahuguet Status resolved => closed
2019-02-12 15:27 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110808


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker